org.jbpm.bpmn2.xml

## Class UserTaskHandler

- java.lang.Object
- - org.drools.core.xml.BaseAbstractHandler
  - - org.jbpm.bpmn2.xml.AbstractNodeHandler
    - - org.jbpm.bpmn2.xml.TaskHandler
      - - org.jbpm.bpmn2.xml.UserTaskHandler

- All Implemented Interfaces:
    org.drools.core.xml.Handler

      public class UserTaskHandler
      extends TaskHandler

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `dataInputs, dataOutputs, EOL, inputAssociation, logger, outputAssociation`

    - ### Fields inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, validParents, validPeers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTaskHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Node` | `createNode(Attributes attrs)`
    `Class` | `generateNodeFor()`
    `protected void` | `handleNode(Node node, Element element, String uri, String localName, org.drools.core.xml.ExtensibleXmlParser parser)`
    `protected String` | `readPotentialOwner(Node xmlNode, HumanTaskNode humanTaskNode)`
    `protected void` | `writeIO(WorkItemNode workItemNode, StringBuilder xmlDump)`
    `void` | `writeNode(Node node, StringBuilder xmlDump, int metaDataType)`

    - ### Methods inherited from class org.jbpm.bpmn2.xml.TaskHandler

      `end, getTaskName, handleForEachNode, readDataInputAssociation, readDataOutputAssociation, readIoSpecification`

    - ### Methods inherited from class org.jbpm.bpmn2.xml.AbstractNodeHandler

      `checkSignalAndConvertToRealSignalNam, containsExtensionElements, endNode, endNode, extractScript, getDataType, getErrorIdForErrorCode, getMetaData, getSignalExpression, handleScript, handleThrowCompensationEventNode, initValidParents, initValidPeers, readDataInputAssociation, readDataOutputAssociation, readMultiInstanceLoopCharacteristics, start, writeExtensionElements, writeMetaData, writeNode, writeScript, writeScripts, writeVariableName`

    - ### Methods inherited from class org.drools.core.xml.BaseAbstractHandler

      `allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.xml.Handler

      `allowNesting, getValidParents, getValidPeers`

- - ### Constructor Detail

    - #### UserTaskHandler

          public UserTaskHandler()

  - ### Method Detail

    - #### createNode

          protected Node createNode(Attributes attrs)

      Overrides:
        `createNode` in class `TaskHandler`

    - #### generateNodeFor

          public Class generateNodeFor()

      Specified by:
        `generateNodeFor` in interface `org.drools.core.xml.Handler`
      Overrides:
        `generateNodeFor` in class `TaskHandler`

    - #### handleNode

          protected void handleNode(Node node,
                                    Element element,
                                    String uri,
                                    String localName,
                                    org.drools.core.xml.ExtensibleXmlParser parser)
                             throws SAXException

      Overrides:
        `handleNode` in class `TaskHandler`
      Throws:
        `SAXException`

    - #### readPotentialOwner

          protected String readPotentialOwner(Node xmlNode,
                                              HumanTaskNode humanTaskNode)

    - #### writeNode

          public void writeNode(Node node,
                                StringBuilder xmlDump,
                                int metaDataType)

      Overrides:
        `writeNode` in class `TaskHandler`

    - #### writeIO

          protected void writeIO(WorkItemNode workItemNode,
                                 StringBuilder xmlDump)

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.